DCMTK: FGPlanePosPatient Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
FGPlanePosPatient Class Reference

Class representing the Plane Position (Patient) Functional Group containing the x, y, and z coordinates of the upper left hand corner (center of the first voxel transmitted) of the frame. More...

Inheritance diagram for FGPlanePosPatient:

## Public Member Functions
| FGPlanePosPatient ()
| Constructor, creates empty functional group.
virtual | ~FGPlanePosPatient ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns that this functional group can be shared or per-frame (both).
virtual void | clearData ()
| Clears all data.
virtual OFCondition | check () const
| Check whether data in functional group is valid.
virtual OFCondition | read (DcmItem &item)
| Read functional group from item, must contain the Plane Position Sequence.
virtual OFCondition | write (DcmItem &item)
| Write functional group to item, will write the Plane Position Sequence.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getImagePositionPatient (OFString &value, const signed long pos)
| Get Image Position Patient.
virtual OFCondition | getImagePositionPatient (Float64 &coordinateX, Float64 &coordinateY, Float64 &coordinateZ)
| Retrieve all values of Image Orientation Patient at the same time.
virtual OFCondition | setImagePositionPatient (const OFString &coordinateX, const OFString &coordinateY, const OFString &coordinateZ, const OFBool checkValue=OFTrue)
| Set Image Position Patient.
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Static Public Member Functions
static FGPlanePosPatient * | createMinimal (const OFString &imagePositionPatientX, const OFString &imagePositionPatientY, const OFString &imagePositionPatientZ)
| Convenience function to create minimal functional group.

## Private Attributes
DcmDecimalString | m_ImagePositionPatient
| Image Position (Patient) (DS, VM 3, Required type 1C).

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the Plane Position (Patient) Functional Group containing the x, y, and z coordinates of the upper left hand corner (center of the first voxel transmitted) of the frame.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGPlanePosPatient::check | ( |  | ) | const
| virtual

Check whether data in functional group is valid.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGPlanePosPatient::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGPlanePosPatient::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ createMinimal()

FGPlanePosPatient * FGPlanePosPatient::createMinimal | ( | const OFString & | imagePositionPatientX,
|  | const OFString & | imagePositionPatientY,
|  | const OFString & | imagePositionPatientZ )
| static

Convenience function to create minimal functional group.

Parameters

  imagePositionPatientX | The X coordinate of the upper left hand corner of the the frame in mm.
  imagePositionPatientY | The Y coordinate of the upper left hand corner of the the frame in mm.
  imagePositionPatientZ | The Z coordinate of the upper left hand corner of the the frame in mm.

Returns
  Newly created Plane Position Functional Group or NULL in case of error

References FGPlanePosPatient().

## ◆ getImagePositionPatient() [1/2]

virtual OFCondition FGPlanePosPatient::getImagePositionPatient | ( | Float64 & | coordinateX,
|  | Float64 & | coordinateY,
|  | Float64 & | coordinateZ )
| virtual

Retrieve all values of Image Orientation Patient at the same time.

Parameters

  coordinateX | X coordinate of upper left hand corner voxel in mm
  coordinateY | Y coordinate of upper left hand corner voxel in mm
  coordinateZ | Z coordinate of upper left hand corner voxel in mm

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [2/2]

virtual OFCondition FGPlanePosPatient::getImagePositionPatient | ( | OFString & | value,
|  | const signed long | pos )
| virtual

Get Image Position Patient.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

Referenced by FrameSorterIPP::sort().

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGPlanePosPatient::getSharedType | ( |  | ) | const
| inlinevirtual

Returns that this functional group can be shared or per-frame (both).

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGPlanePosPatient::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from item, must contain the Plane Position Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setImagePositionPatient()

virtual OFCondition FGPlanePosPatient::setImagePositionPatient | ( | const OFString & | coordinateX,
|  | const OFString & | coordinateY,
|  | const OFString & | coordinateZ,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Image Position Patient.

The x, y, and z coordinates of the upper left hand corner (center of the first voxel transmitted) of the frame, in mm.

Parameters

  coordinateX | X coordinate of upper left hand corner voxel in mm
  coordinateY | Y coordinate of upper left hand corner voxel in mm
  coordinateZ | Z coordinate of upper left hand corner voxel in mm
  checkValue | Check coordinates for validity, including VR (DS)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition FGPlanePosPatient::write | ( | DcmItem & | item | ) |
| virtual

Write functional group to item, will write the Plane Position Sequence.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgplanpo.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1